'''
  ____   ___  _     _ _       
 / ___| / _ \| |   (_) |_ ___ 
 \___ \| | | | |   | | __/ _ \
  ___) | |_| | |___| | ||  __/
 |____/ \__\_\_____|_|\__\___|
                              
Script to read data from a sqlite database
/usr/bin/python3 /var/www/nebuleair_pro_4g/sqlite/read_config.py config_table

Available table are
config_table
config_scripts_table
envea_sondes_table

'''

import sqlite3
import sys
parameter = sys.argv[1:]  # Exclude the script name
#print("Parameters received:")
table_name=parameter[0]


# Connect to the SQLite database
conn = sqlite3.connect("/var/www/nebuleair_pro_4g/sqlite/sensors.db")
cursor = conn.cursor()

# Retrieve the data
query = f"SELECT * FROM {table_name}"
cursor.execute(query)


rows = cursor.fetchall()
rows.reverse()  # Reverse the order in Python (to get ascending order)


# Display the results
for row in rows:
    print(row)

# Close the database connection
conn.close()
